summaryrefslogtreecommitdiffstats
path: root/source/ap/sqlite
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/ap/sqlite
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/ap/sqlite')
-rw-r--r--source/ap/sqlite/COPYRIGHT68
-rw-r--r--source/ap/sqlite/slack-desc19
-rwxr-xr-xsource/ap/sqlite/sqlite.SlackBuild111
3 files changed, 198 insertions, 0 deletions
diff --git a/source/ap/sqlite/COPYRIGHT b/source/ap/sqlite/COPYRIGHT
new file mode 100644
index 000000000..a89b4e720
--- /dev/null
+++ b/source/ap/sqlite/COPYRIGHT
@@ -0,0 +1,68 @@
+ SQLite Logo
+ Small. Fast. Reliable.
+ Choose any three.
+
+ About Sitemap Documentation Download License News Developers Support
+
+SQLite Copyright
+
+ +------------------+
+ | SQLite is in the |
+ | Public Domain |
+ +------------------+
+
+ All of the deliverable code in SQLite has been dedicated to the public domain by the authors. All code authors, and
+ representatives of the companies they work for, have signed affidavits dedicating their contributions to the public domain
+ and originals of those signed affidavits are stored in a firesafe at the main offices of Hwaci. Anyone is free to copy,
+ modify, publish, use, compile, sell, or distribute the original SQLite code, either in source code form or as a compiled
+ binary, for any purpose, commercial or non-commercial, and by any means.
+
+ The previous paragraph applies to the deliverable code in SQLite - those parts of the SQLite library that you actually
+ bundle and ship with a larger application. Portions of the documentation and some code used as part of the build process
+ might fall under other licenses. The details here are unclear. We do not worry about the licensing of the documentation
+ and build code so much because none of these things are part of the core deliverable SQLite library.
+
+ All of the deliverable code in SQLite has been written from scratch. No code has been taken from other projects or from
+ the open internet. Every line of code can be traced back to its original author, and all of those authors have public
+ domain dedications on file. So the SQLite code base is clean and is uncontaminated with licensed code from other projects.
+
+Obtaining An Explicit License To Use SQLite
+
+ Even though SQLite is in the public domain and does not require a license, some users want to obtain a license anyway.
+ Some reasons for obtaining a license include:
+
+ * You are using SQLite in a jurisdiction that does not recognize the public domain.
+ * You are using SQLite in a jurisdiction that does not recognize the right of an author to dedicate their work to the
+ public domain.
+ * You want to hold a tangible legal document as evidence that you have the legal right to use and distribute SQLite.
+ * Your legal department tells you that you have to purchase a license.
+
+ If you feel like you really have to purchase a license for SQLite, Hwaci, the company that employs the architect and
+ principal developers of SQLite, will sell you one.
+
+Contributed Code
+
+ In order to keep SQLite completely free and unencumbered by copyright, all new contributors to the SQLite code base are
+ asked to dedicate their contributions to the public domain. If you want to send a patch or enhancement for possible
+ inclusion in the SQLite source tree, please accompany the patch with the following statement:
+
+ The author or authors of this code dedicate any and all copyright interest in this code to the public domain. We make
+ this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this
+ dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this code under
+ copyright law.
+
+ We are not able to accept patches or changes to SQLite that are not accompanied by a statement such as the above. In
+ addition, if you make changes or enhancements as an employee, then a simple statement such as the above is insufficient.
+ You must also send by surface mail a copyright release signed by a company officer. A signed original of the copyright
+ release should be mailed to:
+
+ Hwaci
+ 6200 Maple Cove Lane
+ Charlotte, NC 28269
+ USA
+
+ A template copyright release is available in PDF or HTML. You can use this release to make future changes.
+
+ ----------------------------------------------------------------------------------------------------------------------
+
+ This page last modified 2007/11/14 15:25:42 UTC
diff --git a/source/ap/sqlite/slack-desc b/source/ap/sqlite/slack-desc
new file mode 100644
index 000000000..8605ff192
--- /dev/null
+++ b/source/ap/sqlite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+sqlite: SQLite (simple, self contained database engine)
+sqlite:
+sqlite: SQLite is a small C library that implements a self-contained,
+sqlite: embeddable, zero-configuration SQL database engine.
+sqlite:
+sqlite: The SQLite distribution comes with a standalone command-line access
+sqlite: program (sqlite) that can be used to administer an SQLite database
+sqlite: and which serves as an example of how to use the SQLite library.
+sqlite:
+sqlite: Homepage: http://www.sqlite.org/
+sqlite:
diff --git a/source/ap/sqlite/sqlite.SlackBuild b/source/ap/sqlite/sqlite.SlackBuild
new file mode 100755
index 000000000..ffc75b330
--- /dev/null
+++ b/source/ap/sqlite/sqlite.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for sqlite
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sqlite
+VERSION=3.6.14.2
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+configure() {
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-threadsafe \
+ --enable-cross-thread-connections \
+ --enable-tempstore=yes \
+ --enable-load-extension \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+ return $?
+}
+
+if ! configure ; then
+ # Try regenerating configure:
+ autoconf
+ configure || exit 1
+fi
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add missed man page:
+install -D -m 0644 sqlite3.1 $PKG/usr/man/man1/sqlite3.1
+gzip -9 $PKG/usr/man/man1/sqlite3.1
+
+# Fix up the pkgconfig file
+sed -i 's|Libs: -L${libdir} -lsqlite3|Libs: -L${libdir} -lsqlite3 -ldl|g' \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/sqlite3.pc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README* VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+# Add a COPYRIGHT file -- http://www.sqlite.org/copyright.html
+zcat $CWD/COPYRIGHT.gz > $PKG/usr/doc/$PRGNAM-$VERSION/COPYRIGHT
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/CVS
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+